### Hierarchy

- CardComponent

### Implements

- OnChanges
- OnInit
- AfterViewInit

## Index

### Inputs

- defaultHeight
- expanded
- selected

### Constructors

- constructor

### Properties

- cardClass
- cardService
- defaultHeight
- elementRef
- expanded
- role
- selected
- wrapperClass

### Methods

- ngAfterViewInit
- ngOnChanges
- ngOnInit

## Constructors

### constructor

- new CardComponent(cardService: CardService, elementRef: ElementRef<any>): CardComponent

- - Defined in packages/angular/src/card/card.component.ts:56

  #### Parameters

  - ##### cardService: CardService

  - ##### elementRef: ElementRef<any>

  #### Returns CardComponent

## Properties

### cardClass

@HostBinding({"hostPropertyName":"'class.iot--card'"})
cardClass: boolean = true

- Defined in packages/angular/src/card/card.component.ts:53

### Protected cardService

cardService: CardService

### defaultHeight

@Input()
defaultHeight: number = null

- Defined in packages/angular/src/card/card.component.ts:51

### Protected elementRef

elementRef: ElementRef<any>

### expanded

@Input()
expanded: boolean = false

- Defined in packages/angular/src/card/card.component.ts:52

### role

@HostBinding({"hostPropertyName":"'attr.role'"})
role: string = 'presentation'

- Defined in packages/angular/src/card/card.component.ts:56

### selected

@HostBinding({"hostPropertyName":"'class.iot--card--wrapper__selected'"})
@Input()
selected: boolean = false

- Defined in packages/angular/src/card/card.component.ts:55

### wrapperClass

@HostBinding({"hostPropertyName":"'class.iot--card--wrapper'"})
wrapperClass: boolean = true

- Defined in packages/angular/src/card/card.component.ts:54

## Methods

### ngAfterViewInit

- ngAfterViewInit(): void

- - Defined in packages/angular/src/card/card.component.ts:72

  #### Returns void

### ngOnChanges

- ngOnChanges(changes: SimpleChanges): void

- - Defined in packages/angular/src/card/card.component.ts:60

  #### Parameters

  - ##### changes: SimpleChanges

  #### Returns void

### ngOnInit

- ngOnInit(): void

- - Defined in packages/angular/src/card/card.component.ts:66

  #### Returns void

Generated using TypeDoc